<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="updateOrderStatusPanel"/>
        <ui:define name="popup_title">#{messages['gazelle.ordermanager.updateOrder']}</ui:define>
        <s:div id="updateContent">
            <s:div rendered="#{userPreferencesManagerBean.selectedSUT != null and managedBean.selectedOrder != null}">
                <h:outputText
                        value="#{messages['gazelle.ordermanager.YouAreAboutToSendAMessageToA']} #{userPreferencesManagerBean.selectedSUT.name} #{messages['gazelle.ordermanager.ToUpdateTheStatusOfTheOrderSpecifiedBelow']}"
                        styleClass="help-block"/>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedOrder.placerOrderNumber}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.PlacerOrderNumber_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.placerOrderNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedOrder.fillerOrderNumber}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.fillerOrderNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.CurrentStatus']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.orderStatus}"
                                      rendered="#{not empty managedBean.selectedOrder.orderStatus}"/>
                        <h:outputText value="#{messages['gazelle.ordermanager.Accepted']}"
                                      rendered="#{empty managedBean.selectedOrder.orderStatus}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{managedBean.selectedOrder.domain.keyword.equals('LAB')}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.CurrentResultStatus']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.orderResultStatus}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber_2']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.encounter.visitNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.Patient']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedOrder.encounter.patient.firstName} #{managedBean.selectedOrder.encounter.patient.lastName}"/>
                    </s:decorate>
                </dl>
                <div class="form-inline">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="newStat"/>
                        <ui:define name="label">#{messages['gazelle.ordermanager.NewStatus']}</ui:define>
                        <h:selectOneMenu value="#{managedBean.newOrderStatus}" id="newStat"
                                         styleClass="form-control">
                            <f:selectItems value="#{managedBean.getAvailableOrderStatuses()}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml"
                                rendered="#{managedBean.selectedOrder.domain.keyword.equals('LAB')}">
                        <ui:param name="id" value="newRes"/>
                        <ui:define name="label">#{messages['gazelle.ordermanager.NewResultStatus']}</ui:define>
                        <h:selectOneMenu value="#{managedBean.newResultStatus}" id="newRes" styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('orderResultStatus')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:div id="values"
                           rendered="#{managedBean.selectedOrder.domain.keyword.equals('TRO')       and managedBean.selectedOrder.orderControlCode.equals('SC')}">
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="reason"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.AbortReason']}</ui:define>
                            <h:selectOneMenu value="#{managedBean.selectedOrder.abortReason}"
                                             id="reason" styleClass="form-control">
                                <f:selectItems value="#{valueSet.getListOfConcepts('troAbortReason')}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                    </s:div>
                </div>
            </s:div>
            <s:div rendered="#{userPreferencesManagerBean.selectedSUT == null}"
                   styleClass="gzl-alert gzl-alert-orange">
                <h:outputText value="#{messages['gazelle.ordermanager.PleaseSelectTheSutToWhichSendTheMessage']}"/>
            </s:div>
            <s:div rendered="#{managedBean.selectedOrder == null}"
                   styleClass="gzl-alert gzl-alert-red">
                <h:outputText value="#{messages['gazelle.ordermanager.NoOrderSelected']}"/>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <s:div id="confirmUpdateBtn">
                <s:div rendered="#{userPreferencesManagerBean.selectedSUT != null and managedBean.selectedOrder != null}">
                    <a4j:commandButton value="#{messages['gazelle.ordermanager.SendUpdateNotification']}"
                                       actionListener="#{managedBean.sendMessage()}"
                                       oncomplete="jq162('#updateOrderStatusPanel').modal('hide')"
                                       render="globalDiv" styleClass="gzl-btn-green"/>
                    <a4j:commandButton value="#{messages['gazelle.ordermanager.No']}"
                                       actionListener="#{managedBean.setSelectedOrder(null)}"
                                       oncomplete="jq162('#updateOrderStatusPanel').modal('hide')"
                                       styleClass="gzl-btn-red"/>
                </s:div>
                <a4j:commandButton value="#{messages['gazelle.ordermanager.Close']}" styleClass="gzl-btn"
                                   oncomplete="jq162('#updateOrderStatusPanel').modal('hide')"
                                   rendered="#{userPreferencesManagerBean.selectedSUT == null or managedBean.selectedOrder == null}"/>
            </s:div>
        </ui:define>
    </ui:decorate>
</ui:composition>
